Bug 875367 (CVE-2012-5518)

Summary: CVE-2012-5518 vdsm: certificate generation upon node creation
Product: [Other] Security Response Reporter: Petr Matousek <pmatouse>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: high Docs Contact:
Priority: high    
Version: unspecifiedCC: abaron, bazulay, danken, dkenigsb, dougsland, fsimonce, iheim, lpeer, virt-maint, ykaul
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=important,public=20121004,reported=20120924,source=redhat,cvss2=6.8/AV:A/AC:H/Au:N/C:C/I:C/A:C,rhel-5/vdsm22=notaffected,rhel-6/vdsm=notaffected,fedora-all/vdsm=affected
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-03-25 06:11:08 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On: 875368    
Bug Blocks:    

Description Petr Matousek 2012-11-10 15:21:01 EST
When new node image is being created, vdsm.rpm is added to the node image and self-signed key (and certificate) is created. This key/cert allows vdsm to start and serve requests from anyone who has a matching key/cert which could be anybody holding the node image.

Upstream fix:
http://gerrit.ovirt.org/#/c/8368/

Acknowledgements:

This issue was discovered by Dan Kenigsberg of Red Hat.
Comment 1 Petr Matousek 2012-11-10 15:26:06 EST
Statement:

Not vulnerable.

This issue did not affect the versions of vdsm22 package as shipped with Red Hat Enterprise Linux 5. This issue did not affect the versions of vdsm package as shipped with Red Hat Enterprise Linux 6. This issue did not affect the hypervisor disk images as shipped with Red Hat Enterprise Virtualization Hypervisor 5 and 6.
Comment 2 Petr Matousek 2012-11-10 15:27:29 EST
Created vdsm tracking bugs for this issue

Affects: fedora-all [bug 875368]
Comment 3 Fedora Update System 2013-03-12 04:58:19 EDT
vdsm-4.10.0-13.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.